Bug 199176 - [PATCH] security/p5-Business-PayPal-EWP Fix build with LibreSSL
Summary: [PATCH] security/p5-Business-PayPal-EWP Fix build with LibreSSL
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: Bernard Spil
URL:
Keywords: patch
Depends on:
Blocks:
 
Reported: 2015-04-05 17:45 UTC by Bernard Spil
Modified: 2017-03-26 10:51 UTC (History)
1 user (show)

See Also:
delphij: maintainer-feedback+


Attachments
svn diff of security/p5-Business-PayPal-EWP (1.18 KB, patch)
2015-04-05 17:45 UTC, Bernard Spil
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Bernard Spil freebsd_committer 2015-04-05 17:45:29 UTC
Created attachment 155202 [details]
svn diff of security/p5-Business-PayPal-EWP

security/p5-Business-PayPal-EWP fails to build with LibreSSL as it checks against the output of the `openssl version` command. The attached patch fixes this issue.

Notified upstream bug-Business-PayPal-EWP@rt.cpan.org
Hi,

The current Business-PayPal-EWP does not build with LibreSSL due to not recognizing the output of openss version.

The attached patch solves this. You may wish to match (Open|Libre|Boring)SSL instead.

Please consider including the attatched patch in your product or an improved version.

Kind regards,

Bernard Spil.
Comment 1 Xin LI freebsd_committer 2015-06-17 00:02:28 UTC
Maintainer timeout -- I think you may commit yourself on this one.
Comment 2 commit-hook freebsd_committer 2016-07-03 09:55:58 UTC
A commit references this bug:

Author: brnrd
Date: Sun Jul  3 09:55:19 UTC 2016
New revision: 417963
URL: https://svnweb.freebsd.org/changeset/ports/417963

Log:
  security/p5-Business-PayPal-EWP: Fix build with LibreSSL

  PR:		199176
  Approved by:	Maintainer time-out

Changes:
  head/security/p5-Business-PayPal-EWP/Makefile
  head/security/p5-Business-PayPal-EWP/files/
  head/security/p5-Business-PayPal-EWP/files/patch-Makefile.PL